version: "3.3"
services:
  redis:
    container_name: redis
    image: redis
    ports:
      - 6379:6379
  web:
    container_name: web
    build:
      context: ./
      args:
        RAILS_ENV: production
        RAILS_MASTER_KEY: $RAILS_MASTER_KEY
    command: ./entrypoint.sh
    environment:
      RAILS_ENV: production
      REDIS_DOMAIN: redis
      RAILS_MASTER_KEY: $RAILS_MASTER_KEY
    volumes:
      - ./:/app
    ports:
      - 80:3000
    links:
      - redis
    depends_on:
      - redis
